diffstat for brasero-3.2.0 brasero-3.2.0

 changelog                             |   14 ++++++++++++++
 control                               |    1 +
 control.in                            |    1 +
 patches/03_cue-invalid-frame-75.patch |   26 ++++++++++++++++++++++++++
 patches/series                        |    1 +
 5 files changed, 43 insertions(+)

diff -Nru brasero-3.2.0/debian/changelog brasero-3.2.0/debian/changelog
--- brasero-3.2.0/debian/changelog	2011-11-20 16:15:59.000000000 +0000
+++ brasero-3.2.0/debian/changelog	2012-03-03 19:06:21.000000000 +0000
@@ -1,3 +1,17 @@
+brasero (3.2.0-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+
+  [ Michael Biebl ]
+  * Change section of gir1.2-brasero-3.0 to introspection.
+
+  [ Simon McVittie ]
+  * Apply patch from Tanguy Ortolo to fix inability to burn tracks
+    with cdrdao if their length is fractionally less than a whole number
+    of seconds (Closes: #619723)
+
+ -- Simon McVittie <smcv@debian.org>  Sat, 03 Mar 2012 19:05:54 +0000
+
 brasero (3.2.0-3) unstable; urgency=low
 
   * Build against tracker 0.12. Closes: #643939
diff -Nru brasero-3.2.0/debian/control brasero-3.2.0/debian/control
--- brasero-3.2.0/debian/control	2011-11-20 16:22:43.000000000 +0000
+++ brasero-3.2.0/debian/control	2012-03-03 19:06:29.000000000 +0000
@@ -138,6 +138,7 @@
 
 Package: gir1.2-brasero-3.0
 Architecture: any
+Section: introspection
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
diff -Nru brasero-3.2.0/debian/control.in brasero-3.2.0/debian/control.in
--- brasero-3.2.0/debian/control.in	2011-11-20 16:15:11.000000000 +0000
+++ brasero-3.2.0/debian/control.in	2012-03-03 17:54:12.000000000 +0000
@@ -133,6 +133,7 @@
 
 Package: gir1.2-brasero-3.0
 Architecture: any
+Section: introspection
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
diff -Nru brasero-3.2.0/debian/patches/03_cue-invalid-frame-75.patch brasero-3.2.0/debian/patches/03_cue-invalid-frame-75.patch
--- brasero-3.2.0/debian/patches/03_cue-invalid-frame-75.patch	1970-01-01 01:00:00.000000000 +0100
+++ brasero-3.2.0/debian/patches/03_cue-invalid-frame-75.patch	2012-03-03 17:56:40.000000000 +0000
@@ -0,0 +1,26 @@
+Description: Avoid generating invalid frame number 75
+ The conditional increment to the frame number, which is probably meant to
+ avoid loosing the last incomplete frame in the very last track of a disk, has
+ the side effect of generating frame numbers equal to 75, when they should be
+ between 0 and 74 included, which results in an unburnable image.
+ .
+ While the code could be adapted to count the last frame, it is clearer and
+ less intrusive to the original code to simply remove the conditional increment,
+ and possibily loosing 1/75th a second on the very last track should not matter
+ to anyone.
+Author: Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Last-Update: 2011-11-10
+
+Index: brasero-3.0.0/plugins/audio2cue/burn-audio2cue.c
+===================================================================
+--- brasero-3.0.0.orig/plugins/audio2cue/burn-audio2cue.c	2010-08-16 04:55:07.000000000 +0200
++++ brasero-3.0.0/plugins/audio2cue/burn-audio2cue.c	2011-11-10 23:44:10.232078473 +0100
+@@ -317,7 +317,7 @@
+ 	else
+ 		frame = len * 75;
+ 
+-	frame = frame / 1000000000 + ((frame % 1000000000LL) ? 1:0);
++	frame = frame / 1000000000;
+ 
+ 	len /= 1000000000LL;
+ 	min = len / 60;
diff -Nru brasero-3.2.0/debian/patches/series brasero-3.2.0/debian/patches/series
--- brasero-3.2.0/debian/patches/series	2011-11-19 12:37:03.000000000 +0000
+++ brasero-3.2.0/debian/patches/series	2012-03-03 17:57:34.000000000 +0000
@@ -1,2 +1,3 @@
 01_gcc-format-security-commit
 02_gcc-format-security
+03_cue-invalid-frame-75.patch
